Holger's Java API

## com.antelmann.genealogy
Class GUser

    java.lang.Object
      com.antelmann.db.AbstractDBEntry
          com.antelmann.db.PropertyEntryImpl
              com.antelmann.db.UserImpl
                  com.antelmann.genealogy.GUser

All Implemented Interfaces:
  DBEntry, PropertyEntry, User, DetailedString, Enabled, Serializable, Comparable<User>, Principal

    public class GUser

extends UserImpl

Since:
  31.12.2014, 18:28:53
Author:
  holger
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.antelmann.db.UserImpl
`accessList`

Fields inherited from class com.antelmann.db.PropertyEntryImpl
`propertyChangeSupport, props, um, vcs`

Fields inherited from interface com.antelmann.db.DBEntry
`ENTRY_FLAVOR, ENTRY_LIST_FLAVOR`

Fields inherited from interface com.antelmann.util.Enabled
`FILTER`

Constructor Summary
`GUser(User user)`

Method Summary

Methods inherited from class com.antelmann.db.UserImpl
`checkPassword, clearAllAccess, compareTo, copyAccessRightsFrom, equals, getAccessFilter, getAccessibleObjects, getEmail, getName, getPasswordHash, getUserDescription, hasAccess, hashPassword, isEnabled, resetPassword, setAccess, setAccessFilter, setEmail, setEnabled, setName, setPassword, setPasswordHash, setUserDescription, toString`

Methods inherited from class com.antelmann.db.PropertyEntryImpl

`addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, addVetoableChangeListener, asProperties, canRedo, canUndo, checkPropertyChange, clearProperties, containsPropertyText, containsValuePattern, equalWithProperties, equalWithProperties, getBoolean, getNumber, getProperties, getProperty, getProperty, getPropertyChangeListeners, getPropertyComparator, getPropertyExtractor, getPropertyExtractor, getPropertyKeys, getStringExtractor, getVetoableChangeListeners, isCaseInsensitive, isChangeListenerSupportEnabled, isKeyIn, isUndoSupport, isVetoableChangeSupportEnabled, putAll, redo, removeProperty, removePropertyChangeListener, removeVetoableChangeListener, setAllFrom, setCaseInsensitive, setChangeListenerSupport, setProperty, setUndoSupported, setVetoableChangeSupport, toDetailedString, undo, verifyProperties`

Methods inherited from class com.antelmann.db.AbstractDBEntry
`getID, hashCode, hashEntry, sameEntry`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.antelmann.db.DBEntry
`getID`

Methods inherited from interface java.security.Principal
`hashCode`

Constructor Detail

### GUser

    public GUser(User user)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads